---
title: List Event Subscriptions
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Queues](https://developers.cloudflare.com/api/python/resources/queues)

[Subscriptions](https://developers.cloudflare.com/api/python/resources/queues/subresources/subscriptions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Event Subscriptions

queues.subscriptions.list(SubscriptionListParams\*\*kwargs) -> SyncV4PagePaginationArray\[[SubscriptionListResponse](<https://developers.cloudflare.com/api/python/resources/queues#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)>)]

GET/accounts/{account\_id}/event\_subscriptions/subscriptions

Returns a paginated list of Queue event subscriptions with optional sorting and filtering.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Queues Write``Queues Read``Workers Scripts Write``Workers Scripts Read`

##### ParametersExpand Collapse

account\_id: str

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

<details>

<summary>

direction: Optional\[Literal\["asc", "desc"]]

Sort direction

</summary>

One of the following:

"asc"

<a href="#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"desc"

<a href="#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)>)

<details>

<summary>

order: Optional\[Literal\["created\_at", "name", "enabled", "source"]]

Field to sort by

</summary>

One of the following:

"created\_at"

<a href="#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"name"

<a href="#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"enabled"

<a href="#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

"source"

<a href="#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order%20%3E%20(schema)>)

page: Optional\[int]

Page number for pagination

minimum1

[Link to this property](<#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page%20%3E%20(schema)>)

per\_page: Optional\[int]

Number of items per page

maximum100

minimum1

[Link to this property](<#(resource)%20queues.subscriptions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SubscriptionListResponse: …

</summary>

id: str

Unique identifier for the subscription

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_at: datetime

When the subscription was created

formatdate-time

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

<details>

<summary>

destination: Destination

Destination configuration for the subscription

</summary>

queue\_id: str

ID of the target queue

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20destination%20%3E%20(property)%20queue_id">Link to this property</a>

type: Literal\["queues.queue"]

Type of destination

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20destination%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20destination">Link to this property</a>

enabled: bool

Whether the subscription is active

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

events: List\[str]

List of event types this subscription handles

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20events">Link to this property</a>

modified\_at: datetime

When the subscription was last modified

formatdate-time

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

name: str

Name of the subscription

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Source

Source configuration for the subscription

</summary>

One of the following:

<details>

<summary>

class SourceMqEventSourceImages: …

</summary>

type: Optional\[Literal\["images"]]

Type of source

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

class SourceMqEventSourceKV: …

</summary>

type: Optional\[Literal\["kv"]]

Type of source

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

class SourceMqEventSourceR2: …

</summary>

type: Optional\[Literal\["r2"]]

Type of source

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

class SourceMqEventSourceSuperSlurper: …

</summary>

type: Optional\[Literal\["superSlurper"]]

Type of source

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%203%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%203">Link to this property</a>

<details>

<summary>

class SourceMqEventSourceVectorize: …

</summary>

type: Optional\[Literal\["vectorize"]]

Type of source

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%204%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%204">Link to this property</a>

<details>

<summary>

class SourceMqEventSourceWorkersAIModel: …

</summary>

model\_name: Optional\[str]

Name of the Workers AI model

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%205%20%3E%20(property)%20model_name">Link to this property</a>

type: Optional\[Literal\["workersAi.model"]]

Type of source

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%205%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%205">Link to this property</a>

<details>

<summary>

class SourceMqEventSourceWorkersBuildsWorker: …

</summary>

type: Optional\[Literal\["workersBuilds.worker"]]

Type of source

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%206%20%3E%20(property)%20type">Link to this property</a>

worker\_name: Optional\[str]

Name of the worker

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%206%20%3E%20(property)%20worker_name">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%206">Link to this property</a>

<details>

<summary>

class SourceMqEventSourceWorkersScript: …

</summary>

script\_tag: Optional\[str]

Tag of the Worker script

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%207%20%3E%20(property)%20script_tag">Link to this property</a>

type: Optional\[Literal\["workers.script"]]

Type of source

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%207%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%207">Link to this property</a>

<details>

<summary>

class SourceMqEventSourceWorkflowsWorkflow: …

</summary>

type: Optional\[Literal\["workflows.workflow"]]

Type of source

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%208%20%3E%20(property)%20type">Link to this property</a>

workflow\_name: Optional\[str]

Name of the workflow

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%208%20%3E%20(property)%20workflow_name">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(variant)%208">Link to this property</a>

</details>

<a href="#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.subscriptions%20%3E%20(model)%20subscription_list_response%20%3E%20(schema)>)

### List Event Subscriptions

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.queues.subscriptions.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
```

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "destination": {
        "queue_id": "queue_id",
        "type": "queues.queue"
      },
      "enabled": true,
      "events": [
        "string"
      ],
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "source": {
        "type": "images"
      }
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "destination": {
        "queue_id": "queue_id",
        "type": "queues.queue"
      },
      "enabled": true,
      "events": [
        "string"
      ],
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "source": {
        "type": "images"
      }
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  },
  "success": true
}
```